# Class: MoneroTransfer

## MoneroTransfer(state)

Models a base transfer of funds to or from the wallet.

## Constructor

#### new MoneroTransfer(state)

Construct the model.

##### Parameters:

Name | Type | Description
--- | --- | ---
`state` | MoneroTransfer | object | is existing state to initialize from (optional)

Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 10

### Methods

#### copy()

Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 33

#### getAccountIndex()

Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 63

#### getAmount()

Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 73

#### getTx()

Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 44

#### isIncoming()

Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 59

#### isOutgoing()

Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 53

#### merge(transfer) → {MoneroTransfer}

Updates this transaction by merging the latest information from the given transaction. Merging can modify or build references to the transfer given so it should not be re-used or it should be copied before calling this method.

##### Parameters:

Name | Type | Description
--- | --- | ---
`transfer` |  | is the transfer to merge into this one

Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 92

##### Returns:

the merged transfer

Type
  MoneroTransfer

#### setAccountIndex()

Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 67

#### setAmount()

Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 77

#### setTx()

Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 48

#### toJson()

Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 37

#### toString()

Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 115